<form class="ui large form" [formGroup]="equipeForm" autocomplete="off">

    <div class="ui centered header">Ajouter une equipe</div>

    <div class="two fields">
        <div class="field">
            <label>Poste</label>
            <div class="ui fluid search selection dropdown" id="equipePoste">
                <input type="hidden" formControlName="poste">
                <div class="default text">Nom du poste</div>
                <div class="menu"></div>
            </div>
        </div>
        <div class="field">
            <label>Nom d'équipe</label>
            <input type="text" placeholder="Nom de l'équipe" formControlName="equipeName">
        </div>
    </div>

    <div class="two fields">
        <div class="field">
            <label>Identifiant Radio</label>
            <input type="text" placeholder="Identifiant Radio" formControlName="idRadio">
        </div>
        <div class="field">
            <label>Positionnement</label>
            <input type="text" placeholder="Positionnement sur le site du poste" formControlName="location">
        </div>
    </div>

    <div class="field">
        <label>Binome</label>
        <div class="ui toggle checkbox">
            <input type="checkbox" (change)="setToBinome()" formControlName="binome">
            <label id="binome-message"></label>
        </div>
    </div>

    <div class="field">
        <label>Membres</label>
        <input type="hidden" formControlName="membres">
        <div class="ui fluid container">
            <div class="ui fluid search selection dropdown" id="membresEquipe">
                <input type="hidden">
                <div class="default text">Nom d'utilisateur du membre à ajouter</div>
                <div class="menu"></div>
            </div>
        </div>
    </div>

    <div class="field membres-empty" id="added-membres">

        <ng-container *ngFor="let membre of membres; let i = index">
            <div class="ui attached segment">
                <div class="ui divided grid">
                    <div class="row center aligned middle aligned">
                        <div class="four wide column">
                            {{membre.nom.toUpperCase()}} {{membre.prenom}} "{{membre.username}}"
                        </div>
                        <div class="four wide column">
                            <div class="ui selection dropdown" (Create)="initNewDropdowns()">
                                <input type="hidden" (change)="setMembreCompetence($event, i)">
                                <i class="dropdown icon"></i>
                                <div class="default text">Compétences</div>
                                <div class="menu">
                                    <div class="item" data-value="PSE2">PSE2</div>
                                    <div class="item" data-value="PSE1">PSE1</div>
                                    <div class="item" data-value="Stagiaire">Stagiaire</div>
                                    <div class="item" data-value="PSSP">PSSP</div>
                                    <div class="item" data-value="LAT">LAT</div>
                                    <div class="item" data-value="Conducteur-PSE2">Conducteur (PSE2)</div>
                                    <div class="item" data-value="Conducteur-PSE1">Conducteur (PSE1)</div>
                                </div>
                            </div>
                        </div>
                        <div class="four wide column">
                            <div class="ui toggle checkbox">
                                <input type="checkbox" (change)="setMembreChefEquipe($event, i)"
                                       [checked]="membres[i].chefEquipe" [disabled]="chefEquipeIndex === i">
                                <label></label>
                            </div>
                        </div>
                        <div class="four wide column">
                            <button class="ui red button" (click)="deleteMembre(i)"><i
                                class="close icon"></i>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </ng-container>

    </div>

    <br>
    <button type="submit" class="ui large teal button"
            [disabled]="!equipeForm.valid" (click)="onSubmit()" id="submit-form">Créer une nouvelle équipe
    </button>

</form>

<div class="ui error message" *ngIf="form.poste.value === ''">
    <div class="header">Poste</div>
    <ul class="list">
        <li>Vous devez spécifier un poste pour cette équipe !</li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.equipeName.invalid && form.equipeName.touched && form.equipeName.errors?.required">
    <div class="header">Nom</div>
    <ul class="list">
        <li>Vous devez entrer un nom d'équipe.</li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.idRadio.invalid && form.idRadio.touched && form.idRadio.errors?.required">
    <div class="header">Identifiant Radio</div>
    <ul class="list">
        <li>Vous devez entrer un identifiant radio.</li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.location.invalid && form.location.touched && form.location.errors?.required">
    <div class="header">Positionnement</div>
    <ul class="list">
        <li>Vous devez spécifier un positionnement.</li>
    </ul>
</div>

<div class="ui error message" *ngIf="this.form.membres.value === ''">
    <div class="header">Membres</div>
    <ul class="list">
        <li>Vous devez ajouter au moins un membre.</li>
    </ul>
</div>
